Away-on-Detach is persisted across core restart
03/20/2009 01:41 PM - TerrorBite
Assignee: % Done: 0%
Target version:
Description

If away-on-detach is enabled and the core is shut down while no clients are connected, the away status will still be set after the core
is restarted and a client is connected. Away status (if it's an away-on-detach status) should be cleared before shutting down the core.
Regular away statuses may be kept.

History

#1 - 03/23/2009 02:15 PM - EgS

- Status changed from New to Rejected

That setting means, that you want to be marked as "away" when you're detached. If you shutdown and restart the core that is still the case. So the
current implementation is the expected behavior.

#2 - 03/26/2009 04:34 AM - TerrorBite

I think you're misunderstanding me here. After restarting the core, and after reattaching, I'm still marked away as though | was still detached. The core
isn't resetting my away status when | reattach.
